import { CompletionItem } from 'vscode-languageserver-protocol';
import { MatcherState, RawMatcherFn } from '@vitest/expect';
export type CompleteContext = {
    relativePath: string;
    source: string;
};
interface CustomMatchers<R = unknown> {
    /**
     * @param source {string | CompleteContext} - the source to complete
     * @param completionItem {CompletionItem[] | string[]} - the list of completion items or labels
     *
     * @example
     * expect(provider).to.complete("{% end", ["endcomment"])
     * expect(provider).to.complete({ source: "{% end", relativePath: 'sections/foo.liquid' }, ["endcomment"])
     */
    complete(source: string | CompleteContext, completionItem: Partial<CompletionItem>[] | string[]): Promise<void>;
}
declare module 'vitest' {
    interface Assertion<T = any> extends CustomMatchers<T> {
    }
    interface AsymmetricMatchersContaining extends CustomMatchers {
    }
}
export declare const complete: RawMatcherFn<MatcherState>;
export {};
